<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pricing_plans', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->text('description')->nullable();
            $table->text('features')->nullable();
            $table->decimal('price', 10, 2)->default(0);
            $table->enum('period', ['monthly', 'annually'])->default('monthly');
            $table->string('payment_processor')->nullable();
            $table->unsignedInteger('campaigns_limit')->default(0);
            $table->unsignedInteger('messages_limit')->default(0);
            $table->unsignedInteger('contacts_limit')->default(0);
            $table->text('plugins')->nullable();
            $table->boolean('is_active')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pricing_plans');
    }
};
